Subject: Re: [PATCH] net: net_cls: fd passed in SCM_RIGHTS datagram not set correctly

From: Li Zefan <[email-masked]>
Date: Mon, 21 Jan 2013 17:54:32 +0800

On 2013/1/21 17:38, Daniel Wagner wrote:
> From: Daniel Wagner <[email-masked]>
> 
> Commit 6a328d8c6f03501657ad580f6f98bf9a42583ff7 changed the update
> logic for the socket but it does not update the SCM_RIGHTS update
> as well. This patch is based on the net_prio fix commit
> 
> 48a87cc26c13b68f6cce4e9d769fcb17a6b3e4b8
> 
>     net: netprio: fd passed in SCM_RIGHTS datagram not set correctly
> 
>     A socket fd passed in a SCM_RIGHTS datagram was not getting
>     updated with the new tasks cgrp prioidx. This leaves IO on
>     the socket tagged with the old tasks priority.
> 
>     To fix this add a check in the scm recvmsg path to update the
>     sock cgrp prioidx with the new tasks value.
> 
> Let's apply the same fix for net_cls.
> 
> Reported-by: Li Zefan <[email-masked]>

Acutally I didn't report this. I was about to send exactly the same
patch and then I noticed the shared socket issue. ;)

> Cc: "David S. Miller" <davem-fT/PcQaiUtIeIZ0/[email-masked]>
> Cc: "Eric W. Biederman" <ebiederm-aS9lmoZGLiVWk0Htik3J/[email-masked]>
> Cc: Al Viro <viro-RmSDqhL/[email-masked]>
> Cc: John Fastabend <[email-masked]>
> Cc: Neil Horman <[email-masked]>
> Cc: [email-masked]
> Cc: [email-masked]
> ---
>  net/core/scm.c | 5 ++++-
>  1 file changed, 4 insertions(+), 1 deletion(-)